package com.aidex.system.domain;

import com.aidex.common.annotation.Excel;
import com.aidex.common.core.domain.BaseEntity;
import com.aidex.common.utils.log.annotation.FieldRemark;
import com.aidex.common.utils.log.annotation.LogField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;

/**
 * 码头管理对象 sys_wharf
 * @author ChenSir
 * @email 914769835
 * @date 2024-03-16
 */
@Data
public class SysWharf extends BaseEntity<SysWharf>
{
    private static final long serialVersionUID = 1L;

    /** 码头序号 */
    @Excel(name = "码头序号")
    @LogField
    @FieldRemark(name = "码头序号",field = "wharfOrder")
    @ApiModelProperty(value="码头序号",required=true)
    private Long wharfOrder;

    /** 码头名称 */
    @Excel(name = "码头名称")
    @NotBlank(message = "码头名称不允许为空")
    @LogField
    @FieldRemark(name = "码头名称",field = "wharfNanme")
    @ApiModelProperty(value="码头名称",required=true)
    private String wharfNanme;

    /** 当前维度 */
    @Excel(name = "当前维度")
    @LogField
    @FieldRemark(name = "当前维度",field = "lat")
    @ApiModelProperty(value="当前维度",required=true)
    private String lat;

    /** 当前维度 */
    @Excel(name = "当前维度")
    @LogField
    @FieldRemark(name = "当前维度",field = "lng")
    @ApiModelProperty(value="当前经度",required=true)
    private String lng;

    /** 码头状态 */
    @Excel(name = "码头状态", dictType = "sys_normal_disable")
    @LogField
    @FieldRemark(name = "码头状态",field = "status")
    @ApiModelProperty(value="码头状态",required=true)
    private String status;

    public void setWharfOrder(Long wharfOrder)
    {
        this.wharfOrder = wharfOrder;
    }

    public Long getWharfOrder()
    {
        return wharfOrder;
    }

    public void setWharfNanme(String wharfNanme)
    {
        this.wharfNanme = wharfNanme;
    }

    public String getWharfNanme()
    {
        return wharfNanme;
    }

    public void setLat(String lat)
    {
        this.lat = lat;
    }

    public String getLat()
    {
        return lat;
    }

    public void setLng(String lng)
    {
        this.lng = lng;
    }

    public String getLng()
    {
        return lng;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("wharfOrder", getWharfOrder())
            .append("wharfNanme", getWharfNanme())
            .append("lat", getLat())
            .append("lng", getLng())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createDept", getCreateDept())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("updateIp", getUpdateIp())
            .append("version", getVersion())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
